
Dashboard - Bug #46660

mgr/dashboard: Regression on table error handling

07/21/2020 02:47 PM - Stephan Müller

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Stephan Müller   

Category: General   

Target version: v16.0.0   

Source: Development Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID: 36243

Regression: Yes Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Regression was introduced by #45017 (PR mgr/dashboard: Migrate Tabs from ngx-bootstrap to ng-bootstrap #35290). Through the

use of the new plugin some tables got wrapped into the new usage - however some components needed the use of the table as

viewchild and though they got a static viewchild, but it's now dynamic.

The error occurs on the host and pools listing.

Related issues:

Duplicated by Dashboard - Bug #46749: mgr/dashboard: when editing host labels... Duplicate

History

#1 - 07/22/2020 03:49 PM - Stephan Müller

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 36243

#2 - 07/29/2020 11:17 AM - Volker Theile

- Duplicated by Bug #46749: mgr/dashboard: when editing host labels, there is a traceback added

#3 - 07/30/2020 01:02 PM - Volker Theile

- Status changed from Fix Under Review to Resolved

#4 - 04/15/2021 05:22 PM - Ernesto Puerta

- Project changed from mgr to Dashboard

- Category changed from 132 to General
